#
# spec file for package python-Kajiki
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Kajiki
Version:        0.3.5
Release:        13.2
Summary:        Really fast well-formed xml templates
License:        MIT
Group:          Development/Languages/Python
Url:            http://sourceforge.net/p/kajiki/home/
Source:         http://pypi.python.org/packages/source/K/Kajiki/Kajiki-%{version}.tar.gz
BuildRequires:  python-Babel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Are you tired of the slow performance of Genshi? But
you still long for the assurance that your output is well-formed that you
miss from all those other templating engines? Do you wish you had Jinja's
blocks with Genshi's syntax? Then look  no further, Kajiki is for you!
Kajiki quickly compiles Genshi-like syntax to *real python bytecode*
that renders with blazing-fast speed! Don't delay! Pick up your
copy of Kajiki today!

%prep
%setup -q -n Kajiki-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jan 17 2013 saschpe@suse.de
- Initial version
